using System;
using System.Runtime.InteropServices;


namespace IpPbxMPC
{
	/// <summary>
	/// Helper class for Win32-API methods called via P/Invoke
	/// </summary>
	public class Win32 
	{
		[DllImport("user32.dll", EntryPoint="PostMessage")]
		public static extern bool PostMessage(uint hWnd, uint msg, uint wParam, uint lParam);

		[DllImport("user32.dll", EntryPoint="SendMessage")]
		public static extern uint SendMessage(uint hWnd, uint msg, uint wParam, uint lParam);

		[DllImport("user32.dll", EntryPoint="FindWindow")]
		public static extern uint FindWindow(string classname, string windowname);
	}
}
