/*---------------------------------------------------------------------------

   Swyx Solutions AG
   Joseph-von-Fraunhofer-Str. 13a
   44227 Dortmund

  ---------------------------------------------------------------------------

  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
  PURPOSE.

  Copyright (C) 2007 Swyx Solutions AG.

  All Rights Reserved.

----------------------------------------------------------------------------*/

// MfcClientDlg.h : header file
//

#if !defined(AFX_MFCCLIENTDLG_H__27BAE9B0_CE25_4D96_8A8C_334501A12412__INCLUDED_)
#define AFX_MFCCLIENTDLG_H__27BAE9B0_CE25_4D96_8A8C_334501A12412__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMfcClientDlg dialog

class CCLMgrEventSink;

class CMfcClientDlg : public CDialog
{
// Construction
public:
	CMfcClientDlg(CWnd* pParent = NULL);	// standard constructor
	~CMfcClientDlg();

// Dialog Data
	//{{AFX_DATA(CMfcClientDlg)
	enum { IDD = IDD_MFCCLIENT_DIALOG };
	CListCtrl	m_CallList;
	CString	m_CallerID;
	BOOL	m_bAcceptCalls;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL



    IClientLineMgrPub   *m_pICLMgr;

    CCLMgrEventSink     *m_pItemEventSink;
    DWORD               m_adviseCookie;



public:

    //state of a line has changed
    void OnLineStateChanged(int iLine);

    //there are details for a completed call available
    void OnLastCallDetails(int iLine);

// Implementation
protected:
	HICON m_hIcon;

    afx_msg LRESULT OnClientLineManagerEvent(WPARAM wParam, LPARAM lParam);
    
	// Generated message map functions
	//{{AFX_MSG(CMfcClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnCheckAcceptcalls();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCCLIENTDLG_H__27BAE9B0_CE25_4D96_8A8C_334501A12412__INCLUDED_)
