/*---------------------------------------------------------------------------

   Swyx Solutions AG
   Joseph-von-Fraunhofer-Str. 13a
   44227 Dortmund

  ---------------------------------------------------------------------------

  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
  PURPOSE.

  Copyright (C) 2007 Swyx Solutions AG.

  All Rights Reserved.

----------------------------------------------------------------------------*/
// PlayToRtpDlg.h : header file
//

#if !defined(AFX_PlayToRtpDLG_H__6E2418AC_7C9D_49E5_B1D6_F0C51BFA1746__INCLUDED_)
#define AFX_PlayToRtpDLG_H__6E2418AC_7C9D_49E5_B1D6_F0C51BFA1746__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CPlayToRtpDlg dialog

class CPlayToRtpDlg : public CDialog
{
// Construction
public:
	CPlayToRtpDlg(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(CPlayToRtpDlg)
	enum { IDD = IDD_PlayToRtp_DIALOG };
	BOOL	m_bPlayLoop;
	BOOL	m_bRecordAppend;
	BOOL	m_bRecordLocalSounds;
	CString	m_sPlayFile;
	UINT	m_uiPlayPause;
	CString	m_sRecordFile;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayToRtpDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPlayToRtpDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStartplay();
	afx_msg void OnButtonStartrecord();
	afx_msg void OnButtonStopplay();
	afx_msg void OnButtonStoprecord();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    IClientLineMgrPub3* m_pIClientLineMgrPub3;
    IClientLineMgrPub7* m_pIClientLineMgrPub7;
    BOOL              m_bPlaying;
    BOOL              m_bRecording;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PlayToRtpDLG_H__6E2418AC_7C9D_49E5_B1D6_F0C51BFA1746__INCLUDED_)
